Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class LoginConfigImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.LoginConfigImpl

All Implemented Interfaces:
  java.io.Serializable

    public class LoginConfigImpl

extends java.lang.Object
implements java.io.Serializable

Data structure to support WebApplicationDefinition for marshalling and unmarshalling of web.xml. Not needed by the Pluto container.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `authMethod`
`private FormLoginConfigImpl` | `formLoginConfig`
`private java.lang.String` | `realmName`

Constructor Summary
`LoginConfigImpl()`

Method Summary
`java.lang.String` | `getAuthMethod()`
`FormLoginConfigImpl` | `getFormLoginConfig()`
`java.lang.String` | `getRealmName()`
`void` | `setAuthMethod(java.lang.String authMethod)`
`void` | `setFormLoginConfig(FormLoginConfigImpl formLoginConfig)`
`void` | `setRealmName(java.lang.String realmName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### authMethod

    private java.lang.String authMethod

### realmName

    private java.lang.String realmName

### formLoginConfig

    private FormLoginConfigImpl formLoginConfig

Constructor Detail

### LoginConfigImpl

    public LoginConfigImpl()

Method Detail

### getAuthMethod

    public java.lang.String getAuthMethod()

### getRealmName

    public java.lang.String getRealmName()

### getFormLoginConfig

    public FormLoginConfigImpl getFormLoginConfig()

### setAuthMethod

    public void setAuthMethod(java.lang.String authMethod)

### setRealmName

    public void setRealmName(java.lang.String realmName)

### setFormLoginConfig

    public void setFormLoginConfig(FormLoginConfigImpl formLoginConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD